package com.muyu.enterprise.cache.warn;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.WarnStrategy;
import com.muyu.domain.resp.CarFenceResp;

import java.util.List;

/**
 * 电子围栏缓存
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheWarnService extends CacheAbsBasic<String, List<WarnStrategy>> {
    @Override
    public String keyPre() {
        return "WarnStrategy:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
